import { Routes } from '@angular/router';
import { LoginComponent } from './components/login/login.component';
import { UserListComponent } from './components/user-list/user-list.component';
import { UserDetailComponent } from './components/user-detail/user-detail.component';
import { SudokuComponent } from './components/sudoku/sudoku.component';
import { DifficultySelectorComponent } from './components/difficulty-selector/difficulty-selector.component'
import { UserAccueilComponent } from './components/user-accueil/user-accueil.component'; 

export const routes: Routes = [
    { path: '', component: LoginComponent },
    { path: 'accueil', component: UserAccueilComponent }, 
    { path: 'users', component: UserListComponent },
    { path: 'user/:id', component: UserDetailComponent },
    { path: 'sudoku', component: DifficultySelectorComponent },
    { path: 'sudoku/:difficulty', component: SudokuComponent },
    { path: '**', redirectTo: '', pathMatch: 'full' }
];
